Package com.google.android.exoplayer2.drm

## Interface ExoMediaDrm.Provider

- All Known Implementing Classes:
    `ExoMediaDrm.AppManagedProvider`
  Enclosing interface:
    ExoMediaDrm

      public static interface ExoMediaDrm.Provider

  Provider for `ExoMediaDrm` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExoMediaDrm` | `acquireExoMediaDrm​(UUID uuid)` | Returns an `ExoMediaDrm` instance with an incremented reference count.

- - ### Method Detail

    - #### acquireExoMediaDrm

          ExoMediaDrm acquireExoMediaDrm​(UUID uuid)

      Returns an `ExoMediaDrm` instance with an incremented reference count. When the caller no longer needs the instance, it must call `ExoMediaDrm.release()` to decrement the reference count.